Aktivierung Shopware

Hallo, Die mauelle Installation bei Strato hat mit einigem Aufwand dann doch funktioniert. Einloggen im Backend jetzt möglich. Allerdings zeigt sich, dass die Aktivierung nicht angezeigt wird, und die Menüs ohne “Funktion” sind. Die Installationsprüfung zeigt, alle Einträge auf “grün”. Was habe ich übersehen–vergessen??

Exakt vor dem gleichen Problem stehe ich auch. :slight_smile: Es liegt wohl an einer nicht vorhandenen Lizenz. Allerings bekomme ich auch keine Möglichkeit eine Lizenz zu erstellen.

Hallo zusammen, das macht natürlich keinen Sinn, denn ohne Möglichkeit zu aktivieren kann man auch nichts aktivieren. Kommt denn kein Fenster mit der Anmelde / Registrierungsmaske oder wird dieses Fenster angezeigt ohne Inhalt? Wurde vielleicht schonmal eine Lizenz für die entsprechende Instanz angelegt und vll. nicht vollständig hinterlegt?! Kenne das Problem so selber leider nicht, denke aber dass es an einer Kleinigkeit liegen wird, denn technisch ist die Registrierung ja nichts anderes als alle anderen Module, nur eben mit anderen Funktionen bzw. Inhalt. Kann denn ein anderes Fenster geladen werden? @Hoster Ich finde es auch sehr schade, dass viele Hoster verschiedene Probleme mit Shopware haben, was aber aufgrund der komplexen Software sich nicht verhindern lässt. Ich selber habe sehr gute Erfahrungen mit DomainFactory gemacht, die auch gerne mal individuell helfen bzw. sich anpassen lassen (Server).

Die Menüs sind ohne Funktion weil eure s_basepath nicht den richtigen Pfad haben. Ladet mal die check.php hoch, dann bekommt Ihr den Fehler. Ich stand auch schon vor dem Problem, aber eine Lösung habe ich leider nicht. Ausser den Hoster zu wechseln.

Also, es kommt weder ein Anmelde, noch sonst irgendein Fenster. Der Backend Bereich wird komplett angezeigt, die Tabs mit den unterschiedlichen Menüs lassen sich anklicken, es erscheinen die Untermenüs, sind alerdings ohne Funktion. Lediglich externe lassen sich öffnen (z.B. Hilfe=Shopware Account)

Bei mir kommt auch nur der Login, danach nichts mehr. Alle DropDowns sind ohne Funktion. Bei meiner check.php sind nur grüne Häkchen: http://www.teebaukasten.net/check.php Leider kein Fehler, dem ich nachgehen könnte. Die s_basepath habe ich auch gecheckt. Darin habe ich in meinem Falle www.teebaukasten.net eingegeben. Also ohne http und ohne Verzeichnis.

Das ist nicht die check.php sondern die Systeminfo www.shopware.de/downloads/check.zip Die in das Hauptverzeichnis und aufrufen. Anschliessend bekommt Ihr die Meldung das eure s_basepath nicht stimmt. Da liegt der Haken, deswegen könnt Ihr auch keine Reiter anklicken. Hatte genau das gleiche Problem.

Hallo, @teebaukasten: Auf dem Server ist der Zend Optimizer gar nicht korrekt installiert. Das kann man erkennen, wenn man z.B. einfach eine andere Datei aus dem Backend aufruft: http://www.teebaukasten.net/engine/back … nguage.php Dort kommt direkt die Meldung, dass der Zendoptimizer fehlt. Da kann aber der Hoster sicher schnell behilflich sein. So wie es aussieht greift der Otimizer nur in einigen Verzeichnissen. Es gibt ja noch einige Teile / Module, die zur Zeit noch verschlüsselt sind. Dahrr muss der Zendoptimizer am besten global zur Verfügung stehen. Viele Grüße Sebastian

Das geht bei Strato nicht. Dann muss die php.ini in allen Ordnern liegen.

@Sammy123: Dein Link geht leider nicht… @Sebastian Klöppe: Ich muss bei Strato immer eine php.ini in die betreffenden Ordner legen. Global lässt sich das nicht einstellen. Für mich und alle anderen Strato-Kunden wäre es also eine große Hilfe, wenn es eine Liste gäbe, in welchen Ordnern verschlüsselte Dateien liegen.

Okay, normalerweise gab es darunter die check.php zu laden?! wo ist sie hin???

Hi, in folgenden Ordnern: /engine/core/class /engine/backend/modules/articles /engine/backend/modules/mailcampaigns /engine/backend/modules/mailcampaignspreview /engine/backend/modules/notificationStat /engine/backend/modules/search_price /engine/backend/modules/ticket_system /engine/backend/modules/ticket_details /engine/Shopware/Controllers/Backend /engine/Shopware/Plugins/Default/Core/Shop.* /engine/Shopware/Plugins/Default/Core/License.* /engine/Shopware/Plugins/Default/Core/System.* /engine/Shopware/Plugins/Frontend/CouponsSelling.* /engine/Shopware/Plugins/Frontend/Notification.* /engine/backend/php Das müsste es erst einmal gewesen sein, passt auch zu 99,9 %. Also keine Garantie auf absolute Vollständigkeit, aber mit bestem Wissen und Gewissen erstellt. :wink: Ich hoffe, so kommst Du schnell weiter Gruß Stefan

1 Like

Hallo Stefan, großartig! Danke. Hast Du auch eine Idee, weshalb keine Lizenz angefordert werden kann? Danke und viele Grüße, Rebecca

Hat vielleicht irgendjemand eine Idee, woran es liegen kann, dass man keine Lizenz anfordern kann? Ich bin ratlos. Die SystemCheck-Datei zeigt nur grüne Häkchen an… Danke!

Hi, schicke mir mal bitte die Domain zum Shop und einen Backend-Zugang an info@shopware.de, also zu meinen Händen, dann klären wir das am besten eben per eMail. :wink: Gruß Stefan

1 Like

Toll! Du hast eine Email von mir!

Hab das selbe Problem leider, habe Ihnen eine Email zukommen lassen mit den benötigten Daten. Hoffe es ist in Ordnung.

Hi, Du scheinst ein komplett anderes Problem zu haben oder ein ähnliches, aber auf jeden Fall nicht das identische. Du hast bei Dir wohl die ioncube Variante installiert, bei Dir läuft aber überhaupt kein ioncube korrekt auf dem Server. Das ist wiederum aber eine wichtige Systemvoraussetzung von Shopware. Hier einmal eine Fehlermeldung, die ich herausfinden konnte: Site error: the file /mnt/webb/43/67/52448467/htdocs/shop/engine/backend/php/check.php [color=red]requires the ionCube PHP Loader ioncube_loader_sun_5.2.so to be installed by the site administrator.[/color] Hier muss Dich der Hoster noch einmal unterstützen, sonst kommst Du auch nicht weiter, da elementare Systemvoraussetzungen des Servers (nicht von Shopware) noch nicht passen. Kurz reiße ich mal mögliche Fehlerquellen auf: 1. ioncube ist noch gar nicht installiert. Das ist aber eine Server Sache unabhängig von Shopware. 2. Auf dem Server ist der Zend Optimizer installiert und Du hast fälschlicherweise das Shopware ioncube Paket installiert. 3. Der Strato Server verlangt in jedem PHP Ordner und Unterordner eine php.ini, damit er gewisse Systemvoraussetzungen global im Shop zur Verfügung stellen kann. Dazu gibt es hier aber schon diverse Threads, einfach mal nach php.ini und / oder Strato und 1und1 suchen. Generell solltest Du nun vorab auch einmal den Systemcheck von Shopware durchführen. Dieses Tool dazu findest Du hier: Shopware Systemcheck Wenn du das aufrufst, müssen alle Systemanforderungen grün sein und entweder bei Zend Optimizer oder ioncube, je nach dem welche Variante den Server unterstützt, muss auch ein grüner Haken sein. Wenn das soweit gegeben ist, dann lege das Systemchecktool noch einmal in einen Unterordner, wo keine php.ini im Standard liegt und rufe das Script im Unterordner erneut auf. Wenn nun diverse Systemvoraussetzungen nicht mehr passen, kommt Punkt 3 bei Dir zur Geltung und Du musst in jeden Ordner und Unterordner eine entsprechende php.ini ablegen. Dazu gibt es bei den Providern aber auch meistens entsprechende Scripte. Wenn das alles gemacht ist, sollte auch der Aktivierungassistent kommen im Shopware Backend. Der kommt halt aktuell nicht, da elementare Systemvoraussetzungen nicht passen. Stefan